import { writable } from 'svelte/store';
function createNotificationStore() {
    let id = 0;
    const { update, subscribe } = writable({
        duration: 5000,
        items: []
    });
    return {
        subscribe: subscribe,
        show: (item, options) => update((n) => {
            var _a;
            id++;
            item.id = id;
            setTimeout(() => {
                update((n) => ({ ...n, items: n.items.filter((i) => i !== item) }));
            }, (_a = options === null || options === void 0 ? void 0 : options.duration) !== null && _a !== void 0 ? _a : n.duration);
            return { ...n, items: [item, ...n.items] };
        }),
        setDuration: (duration) => update((n) => ({ ...n, duration })),
        close: (item) => update((n) => ({ ...n, items: n.items.filter((i) => i !== item) }))
    };
}
export const Notify = createNotificationStore();
