import { browser } from '$app/env';
import { get, writable } from 'svelte/store';
export const currentAlbum = writable();
export const currentAlbumId = writable('');
export const currentSong = writable(0);
export const isPlayerLoading = writable(false);
export const isPlaying = writable(false);
export const isRepeat = writable(false);
export const isShuffle = writable(false);
export const updateTrack = writable({
    url: null,
    originalUrl: null
});
export const iOS = _verifyUserAgent();
function _verifyUserAgent() {
    const { subscribe, set, update } = writable(undefined);
    let CheckiOS;
    let isApple;
    if (browser) {
        CheckiOS = /i(Phone|Pad|Pod)/i.test(navigator.userAgent);
        isApple = CheckiOS ? true : false;
    }
    //browser ? console.log(isApple, CheckiOS) : null
    return {
        subscribe,
        set,
        update,
        get: () => get(iOS),
        init: () => {
            if (!browser)
                return;
            set(isApple);
            browser ? localStorage.setItem('iOSClient', String(isApple)) : null;
        },
        reset: () => {
            if (!browser)
                return;
            set(undefined);
            browser ? localStorage.removeItem('iOSClient') : null;
        }
    };
}
